//终端运维管理
import request from '@/utils/request'

export default {
    //查询终端程序版本主列表
    getList(data) {
        return request({
            url: '/device-boot/maintain/getTerminalMainList',
            method: 'post',
            data: data,
        })
    },
    //流量详情
    getFlowManageDetail(data) {
        return request({
            url: '/device-boot/maintain/getFlowManageDetail',
            method: 'post',
            data
        })
    },
    //获取终端状态
    getStatusManageList(data) {
        return request({
            url: '/device-boot/maintain/getStatusManageList',
            method: 'post',
            data: data,
        })
    },

    //获取终端流量套餐
    getFlowManageList(data) {
        return request({
            url: '/device-boot/maintain/getFlowManageList',
            method: 'post',
            data: data,
        })
    },
    //获取终端流量策略
    getFlowStrategyManageList(data) {
        return request({
            url: '/device-boot/maintain/getFlowStrategyManageList',
            method: 'post',
            data: data,
        })
    },

    //批量修改终端状态
    updateRunFlagManage(data) {
        return request({
            url: '/device-boot/maintain/updateRunFlagManage',
            method: 'post',
            data: data,
        })
    },

    //批量修改终端流量套餐
    updateDevFlowMeal(data) {
        return request({
            url: '/device-boot/maintain/updateDevFlowMeal',
            method: 'post',
            data: data,
        })
    },

    //批量修改终端流量策略
    updateDevFlowStrategy(data) {
        return request({
            url: '/device-boot/maintain/updateDevFlowStrategy',
            method: 'post',
            data: data,
        })
    },
    //流量统计
    getMonthFlow(data) {
        return request({
            url: '/device-boot/maintain/getMonthFlow',
            method: 'post',
            data: data,
        })
    },

    //获取所有流量套餐
    getFlowMeal() {
        return request({
            url: '/device-boot/rateOfFlow/getRateOfFlowData',
            method: 'post',
        })
    },

    //获取所有流量策略
    getRateOfFlowStrategy() {
        return request({
            url: '/device-boot/rateOfFlow/getRateOfFlowStrategy',
            method: 'post',
        })
    },
    



}